[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TContainedAction.GetParentComponent

Gets the parent component for the class instance.

## Declaration

Source position: actnlist.pas line 46

`public function TContainedAction.GetParentComponent: TComponent; override;`

## Function result

Parent component for the class instance, or Nil when not assigned.

## Description

GetParentComponent is an overridden method used to get the property in the class instance which is the parent component for the class instance. It re-implements the method from the ancestor class.

In TContainedAction, it gets the value in the ActionList property (when assigned) or calls the inherited method.

## See also

TContainedAction.ActionList |  | The ActionList where the action is stored, and its parent component.
TCustomActionList |  | TCustomActionList - the ancestor class for TActionList.
TComponent